Package oracle.kv.table

# Class TableOpExecutionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
oracle.kv.ContingencyException
oracle.kv.table.TableOpExecutionException

All Implemented Interfaces:
  `Serializable`

public class TableOpExecutionException extends ContingencyException
Provides information about a failure from the sequence of operations executed by `TableAPI.execute(List<TableOperation>, WriteOptions)`

See Also:
  - Serialized Form

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableOperation`
  `getFailedOperation()`
  Returns the operation that caused the execution to be aborted.
  `int`
  `getFailedOperationIndex()`
  Returns the list index of the operation that caused the execution to be aborted.
  `TableOperationResult`
  `getFailedOperationResult()`
  Returns the result of the operation that caused the execution to be aborted.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getFailedOperation

    public TableOperation getFailedOperation()
    Returns the operation that caused the execution to be aborted.
    Returns:
      the operation that caused the execution to be aborted

  - ### getFailedOperationResult

    public TableOperationResult getFailedOperationResult()
    Returns the result of the operation that caused the execution to be aborted.
    Returns:
      the result of the operation that caused the execution to be aborted

  - ### getFailedOperationIndex

    public int getFailedOperationIndex()
    Returns the list index of the operation that caused the execution to be aborted.
    Returns:
      the list index of the operation that caused the execution to be aborted